*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    background:#ffffff;
    font-family:Arial,sans-serif;
    padding:10px;
}

.player{
    width:100%;
    max-width:900px;
    margin:auto;
    border-radius:1px;
    overflow:hidden;
    background:#fff;
}

.video-box{
    position:relative;
    width:100%;
    aspect-ratio:16/9;
    overflow:hidden;
    background:#000;
}

.video-box img{
    width:100%;
    height:100%;
    object-fit:cover;
    display:block;
}

/* Loading */
.loading{
    position:absolute;
    inset:0;
    display:flex;
    justify-content:center;
    align-items:center;
    background:rgba(0,0,0,.25);
}

.spinner{
    width:30px;
    height:30px;
    border:3px solid rgba(255,255,255,.4);
    border-top:3px solid #ff0000;
    border-radius:50%;
    animation:spin .8s linear infinite;
}

@keyframes spin{
    to{
        transform:rotate(360deg);
    }
}

/* Play Layer */
.play-layer{
    position:absolute;
    inset:0;
    display:none;
    justify-content:center;
    align-items:center;
}

.play-btn{
    width:55px;
    height:55px;
    border:4px solid #ff0000;
    border-radius:50%;
    background:rgba(0,0,0,.35);
    display:flex;
    justify-content:center;
    align-items:center;
    cursor:pointer;
}

.play-btn::before{
    content:"";
    border-left:15px solid #ff0000;
    border-top:9px solid transparent;
    border-bottom:9px solid transparent;
    margin-left:3px;
}

/* Buttons */
.actions{
    display:flex;
    gap:10px;
    margin-top:12px;
}

.actions a{
    flex:1;
    text-decoration:none;
    text-align:center;
    color:#fff;
    background:#e60000;
    padding:12px;
    border-radius:8px;
    font-size:15px;
    font-weight:700;
}

/* Watch button jump animation */
.watch-btn{
    animation:bounce 1.2s infinite;
}

@keyframes bounce{
    0%,100%{
        transform:translateY(0);
    }
    50%{
        transform:translateY(-6px);
    }
}

@media(max-width:480px){

    .play-btn{
        width:50px;
        height:50px;
    }

    .play-btn::before{
        border-left:13px solid #ff0000;
        border-top:8px solid transparent;
        border-bottom:8px solid transparent;
    }

    .actions a{
        font-size:14px;
        padding:11px;
    }
}
